

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.15.4. fuzzy_search &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.15.5. geo_distance" href="geo_distance.html" />
    <link rel="prev" title="7.15.3. edit_distance" href="edit_distance.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/functions/fuzzy_search.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="geo_distance.html" title="7.15.5. geo_distance"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="edit_distance.html" title="7.15.3. edit_distance"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" accesskey="U"><span class="section-number">7.15. </span>Function</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.4. </span><code class="docutils literal notranslate"><span class="pre">fuzzy_search</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="fuzzy-search">
<h1><span class="section-number">7.15.4. </span><code class="docutils literal notranslate"><span class="pre">fuzzy_search</span></code><a class="headerlink" href="#fuzzy-search" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.15.4.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">New in version 6.0.0.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">fuzzy_search</span></code></p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.15.4.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.15.4.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.15.4.4. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.15.4. <code class="docutils literal notranslate"><span class="pre">fuzzy_search</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.15.4.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.15.4.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.15.4.3. Usage</a></li>
<li><a class="reference internal" href="#return-value">7.15.4.4. Return value</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="edit_distance.html"
                        title="previous chapter"><span class="section-number">7.15.3. </span>edit_distance</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="geo_distance.html"
                        title="next chapter"><span class="section-number">7.15.5. </span><code class="docutils literal notranslate"><span class="pre">geo_distance</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="geo_distance.html" title="7.15.5. geo_distance"
             >next</a> |</li>
        <li class="right" >
          <a href="edit_distance.html" title="7.15.3. edit_distance"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" ><span class="section-number">7.15. </span>Function</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.4. </span><code class="docutils literal notranslate"><span class="pre">fuzzy_search</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>